%define upstream_name    XML-Sablotron
%define upstream_version 1.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
Summary:	Sablotron XSLT processor encapsulation
License:	MPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		build_with_perl514.patch

Requires:	libsablotron >= 0.95

BuildRequires:	libexpat-devel
BuildRequires:	libsablotron-devel >= 0.95
BuildRequires:	perl-devel 
#BuildRequires:	libjs-devel


%description
This package is a interface to the Sablotron API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .perl514_sv_undef

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%make test

%install
rm -rf %{buildroot}

%{makeinstall_std}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML
%{_mandir}/*/*


%changelog

* Wed Feb 22 2012 kharec <kharec> 1.10.0-3.mga2
+ Revision: 211889
- Remove BR on libjs-devel

* Sun Jun 12 2011 sander85 <sander85> 1.10.0-2.mga2
+ Revision: 105461
- fix build
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 31496
- mageia rebuild
- imported package perl-XML-Sablotron


* Sun Nov 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.0-1mdv2011.0
+ Revision: 602396
- update to new version 1.01
- normalize version
- update to new version 1.01

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.01-5mdv2008.0
+ Revision: 36946
- rebuild for expat


* Sat Jan 13 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-4mdv2007.0
+ Revision: 108395
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-XML-Sablotron

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.01-3mdk
- Rebuild

* Sat May 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.01-2mdk
- add BuildRequires: libjs-devel

* Sat May 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.01-1mdk
- 1.01

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.98-6mdk
- disable test

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.98-5mdk
- rebuild for new perl

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.98-4mdk
- rebuilt against new libsablotron
- msff

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.98-3mdk
- own dir
- rebuild

